Subject: Re: bug#14333: 24.3.50; Emacs hangs when trying to exit

From: Dani Moncayo <[email-masked]>
Date: Wed, 8 May 2013 09:51:38 +0200

> When it hangs, attach GDB to it and provide backtrace from all the
> threads ("thread apply all bt").

I've tried to do it, but when I do "gdb -p EMACS-PID", gdb doesn't
allow me to input any command:

C:\>gdb -p 1844
GNU gdb (GDB) 7.5
Copyright (C) 2012 Free Software Foundation, Inc.
[...]
Attaching to process 1844
[New Thread 1844.0xd80]
[New Thread 1844.0xc00]
[New Thread 1844.0x4f0]
[New Thread 1844.0xbb4]

I'm trying to exit gdb by typing "C-c", but it just makes another "New
Thread" message appear, but gdb is still running and it doesn't give
me chance for type any command.

What am I doing wrong?

--
Dani Moncayo